/*
 * @Author: gtz
 * @Date: 2022-07-25 14:18:00
 * @LastEditors: gtz
 * @LastEditTime: 2022-07-29 13:31:29
 * @Description: file content
 * @FilePath: \hf-pda\src\api\eqInspection.js
 */
import request from '@/util/request'

// 获取巡检记录列表
export const list = data => {
  return request({
    url: '/api/equipment/inspectionLog/page',
    method: 'POST',
    data
  })
}

// 获取巡检记录详情
export const detail = data => {
  return request({
    url: '/api/equipment/inspectionLog/get',
    method: 'POST',
    data
  })
}

// 获取设备列表
export const eqList = data => {
  return request({
    url: '/api/basic/equipment/list',
    method: 'POST',
    data
  })
}

// 获取设备信息
export const getEqInfo = data => {
  return request({
    url: '/api/basic/equipment/PDAget',
    method: 'POST',
    formState: true,
    data
  })
}

// 获取巡检记录下巡检项目列表
export const getEqInsItemList = data => {
  return request({
    url: '/api/equipment/equipmentinspection-inspectionitem/list',
    method: 'POST',
    data
  })
}
